Bug 521000 - GtkFileChooser does not change into the default selected directory if Location field is visible
Summary: GtkFileChooser does not change into the default selected directory if Locatio...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 05:29 UTC by Siddhesh Poyarekar
Modified: 2015-09-14 00:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:27:57 UTC


Attachments (Terms of Use)
Proposed patch -- check file list selection if location entry is empty (605 bytes, patch)
2009-09-03 05:32 UTC, Siddhesh Poyarekar
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 402349 None None None Never

Description Siddhesh Poyarekar 2009-09-03 05:29:18 UTC
Description of problem:

GtkFileChooser does not change into the directory if it is selected by default on opening the dialog. This happens only when the Location field is visible.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:

1. Backup (if desired) and remove $HOME/.config/gtk-2.0/gtkfilechooser
2. mkdir /tmp/gtk
3. cd /tmp/gtk
4. mkdir foo
5. gedit
6. in gedit, hit CTRL-O to open a file
7. note that foo is selected by default and hit ENTER to cd to it and then
cancel
9. hit CTRL-O again to open a file
10. hit CTRL-L to open the Location field
11. hit ENTER to cd into foo
  
Actual results:

Nothing happens.

Expected results:

GtkFileChooser should show the contents of foo

Additional info:

This issue is similar to the following upstream bug:

http://bugzilla.gnome.org/show_bug.cgi?id=402349

i.e. the core issue seems to be the same. When the location field is visible and empty, the dialog ends up doing nothing. I have written a patch that checks for file list selection as a fallback if location contents are empty. It's an ugly goto that goes back _up_ into the function, but it's been done before in the same function before, so it looks like that is permitted :)

Comment 1 Siddhesh Poyarekar 2009-09-03 05:32:46 UTC
Created attachment 359619 [details]
Proposed patch -- check file list selection if location entry is empty

Attached fedora version of upstream patch that applies against gtk2-2.16.5-1.fc11

Comment 2 Bug Zapper 2010-04-28 10:09:42 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:27:57 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.